export declare const Shape = "SHAPE";
export declare const Rect = "RECT";
export declare const Text = "TEXT";
export declare const Image = "IMAGE";
export declare const IconFont = "ICONFONT";
export declare const TextInstance = "TEXT_INSTANCE";
declare global {
    namespace JSX {
        interface IntrinsicElements {
            'SHAPE': {
                name?: string;
                link?: string;
                style?: any;
                children?: any;
            };
            'RECT': {
                name: string;
                link?: string;
                style?: any;
                children?: any;
            };
            'IMAGE': {
                name: string;
                src: string;
                link?: string;
                style?: any;
                clip?: string;
                alt?: string;
            };
            'TEXT': {
                name: string;
                link?: string;
                style?: any;
                children?: any;
            };
        }
    }
}
