import renderNode from './elements/renderNode';

var renderShape = function renderShape(gContainerGroup) {
  return function (shape) {
    // create parent group
    var shapeGroup = gContainerGroup.addGroup();
    var elements = shape.children || [];
    elements.forEach(renderNode(shapeGroup));
  };
};

var render = function render(gContainerGroup, shape) {
  renderShape(gContainerGroup)(shape);
  return gContainerGroup;
};

export default render;