"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports["default"] = void 0;

var _renderNode = _interopRequireDefault(require("./elements/renderNode"));

var renderShape = function renderShape(gContainerGroup) {
  return function (shape) {
    // create parent group
    var shapeGroup = gContainerGroup.addGroup();
    var elements = shape.children || [];
    elements.forEach((0, _renderNode["default"])(shapeGroup));
  };
};

var render = function render(gContainerGroup, shape) {
  renderShape(gContainerGroup)(shape);
  return gContainerGroup;
};

var _default = render;
exports["default"] = _default;